1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000105 [Devil-Linux 1.4] Bug feature always 2011-05-31 17:59 2011-12-21 01:06
Reporter andrzej-odyniec View Status public  
Assigned To Smiley73
Priority normal Resolution fixed  
Status closed   Product Version 1.4
Summary 0000105: mount_cdrom: incomplete version match of the boot and the found cd image
Description When cdrom is found, version of initrd is compared against version of found CD else searching continues with message "Wrong version". It is OK. But if USB device with image is found -- versions is not checked giving chance for mount wrong image with improper libs -- this ends usually with kernel panic.

Proposed changes was tested on several installations. Here is tested patch:
Additional Information --- ../../lfssystem/build/config/etc/initrd/mount_cdrom.orig 2011-02-07 11:00:28.284636668 +0100
+++ ../../lfssystem/build/config/etc/initrd/mount_cdrom 2011-02-14 15:24:17.889250772 +0100
@@ -378,9 +378,13 @@ do
        echo -n " checking $disk ... "
        umount ${FILEMOUNT} 2> /dev/null
        if /sbin/mount -n -t auto -o rw,noatime $disk ${FILEMOUNT} 2> /dev/null; then
+ MYVER=$(cat VERSION)
                if [ -e ${FILEMOUNT}/DEVIL-LINUX ] ; then
+ MEDIAVER=$(cat ${FILEMOUNT}/DEVIL-LINUX)
+ fi
+ if [ -e ${FILEMOUNT}/DEVIL-LINUX ] && [ "${MYVER}" == "${MEDIAVER}" ] ; then
                        $GREEN
- echo "media found"
+ echo -e "Found Devil-Linux v${MEDIAVER}"
                        $NORMAL

                        if [[ "$(ls ${FILEMOUNT}/bootcd.*.new 2>/dev/null)" != "" ]]; then
@@ -503,9 +507,16 @@ do
                                exit 0
                        fi
                else
- $YELLOW
- echo "wrong media"
- $NORMAL
+ if [ -e ${FILEMOUNT}/DEVIL-LINUX ] ; then
+ $RED
+ echo "Wrong version (${MEDIAVER})"
+ $NORMAL
+
+ else
+ $YELLOW
+ echo "wrong media"
+ $NORMAL
+ fi
                        /sbin/umount ${FILEMOUNT}
                fi
        else
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000203)
Smiley73 (administrator)
2011-12-21 01:06

Added to CVS

- Issue History
Date Modified Username Field Change
2011-05-31 17:59 andrzej-odyniec New Issue
2011-12-21 01:06 Smiley73 Note Added: 0000203
2011-12-21 01:06 Smiley73 Assigned To => Smiley73
2011-12-21 01:06 Smiley73 Status new => closed
2011-12-21 01:06 Smiley73 Resolution open => fixed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker